using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IPubUserAddressRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_User_Address>
    {
        int InsertPubUserAddress(Pub_User_Address userAddress);
        int InsertPubDeliverAddress(Pub_Deliver_Address deliverAddress);
        int UpdatePubUserAddress(Pub_User_Address userAddress);
        int DeletePubUserAddress(int addId);
        int ShutOtherDefault(int UserId);

        List<Pub_User_Address> GetAddress(int userId, int id);

        Pub_User_Address GetAddressForId(int id);

        Pub_Deliver_Address GetDeliverAddress(string orderNo);
    }
}
